summaryrefslogtreecommitdiff
path: root/target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S43ntp
diff options
context:
space:
mode:
authorJohn Voltz <john.voltz@gmail.com>2008-03-06 18:59:14 +0000
committerJohn Voltz <john.voltz@gmail.com>2008-03-06 18:59:14 +0000
commitceaf9e8217f29f6c499d03c62612b2eb50e8ed09 (patch)
treec0d1c53c52d050672de9c2fc656b760a2fbe5aa1 /target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S43ntp
parentc46893b7af0e6f0bbc072dc76cb979995ff654fc (diff)
updates and additions for avr32 arch
Diffstat (limited to 'target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S43ntp')
-rwxr-xr-xtarget/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S43ntp27
1 files changed, 27 insertions, 0 deletions
diff --git a/target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S43ntp b/target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S43ntp
new file mode 100755
index 000000000..69fa4c894
--- /dev/null
+++ b/target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S43ntp
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+NTPDATE=/usr/bin/ntpdate
+
+if [ -f /etc/default/ntpdate ]; then
+ . /etc/default/ntpdate
+else
+ echo "WARNING: missing /etc/default/ntpdate"
+ exit 1
+fi
+
+echo -n "Starting ntpdate: "
+if [ ! -x ${NTPDATE} ]; then
+ echo "missing"
+ echo -n " WARNING: could not syncronize clock, "
+ echo "edit NTPSERVERS in /etc/default/ntpdate."
+ exit 1
+fi
+
+if ${NTPDATE} $NTPOPTIONS $NTPSERVERS; then
+ echo "done"
+else
+ echo "failed"
+ echo -n " WARNING: could not syncronize clock, "
+ echo "edit NTPSERVERS in /etc/default/ntpdate."
+ exit 1
+fi